;-| Button Remapping |-----------------------------------------------------
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s
;-| Default Values |-------------------------------------------------------

[Command]
name = "AI0"
command = a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,b,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0

;-| Super Motions |--------------------------------------------------------

[Command]
name = "Hadouken"
command = ~D, DF, F, y+x
time = 36

[Command]
name = "Hyper X Blaster"
command = ~D, DB, B, y+z
time = 36

[Command]
name = "Nova Strike"
command = ~D, DF, F, y+z
time = 36

[Command]
name = "Arrow Ray"
command = ~D, DF, F, b+z
time = 36

;-| Special Motions |------------------------------------------------------
[Command]
name = "Air dash"
command = ~F, F
time = 16

[Command]
name = "Air dash 2"
command = ~B, B
time = 16

[Command] ; MMX1
name = "Fire Wave"
command = ~D, DF, F, x
time = 15

[Command] ;MMX2
name = "Sonic Slicer"
command = ~D, DB, B, y
time = 15

[Command] ;MMX3
name = "Ray Splasher"
command = ~D, DF, F, z
time = 15

[Command] ;MMX1
name = "Storm Tornado"
command = ~D, DB, B, x
time = 15

[Command] ;MMX4
name = "Shoryuken"
command = ~D, DF, F, y
time = 15

[Command] ;MMX4
name = "Frost Tower"
command = ~D, DB, B, z
time = 15

;--------------------------------------------------------------------------

[Command] ;MMX8
name = "Shadow Runner"
command = /$B, b
time = 5

[Command] ;MMX8
name = "Melt Creeper"
command = /$D, b
time = 5

[Command] ;MMX8
name = "Spin Wheel"
command = /$F, b
time = 5

[Command]
name = "Stand Backward 1"
command = /$F, x
time = 5

[Command]
name = "Stand Backward 2"
command = /$B, y
time = 5

[Command]
name = "Stand Backward 3"
command = /$B, z
time = 5

[Command]
name = "Stand Forward 1"
command = /$B, x
time = 5

[Command]
name = "Stand Forward 2"
command = /$F, y
time = 5

[Command]
name = "Stand Forward 3"
command = /$F, z
time = 5

[Command]
name = "Jump Forward 1"
command = /$F, x
time = 5

[Command]
name = "Jump Forward 2"
command = /$F, y
time = 5

[Command]
name = "Jump Forward 3"
command = /$F, z
time = 5

[Command]
name = "Jump Backward 1"
command = /$B, x
time = 5

[Command]
name = "Jump Backward 2"
command = /$B, y
time = 5

[Command]
name = "Jump Backward 3"
command = /$B, z
time = 5

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command =
time = 1

[Command]
name = "pp"
command = x+y
time = 1

[Command]
name = "pp"
command = x+z
time = 1

[Command]
name = "pp"
command = y+z
time = 1

[Command]
name = "kk"
command = a+b
time = 1

[Command]
name = "kk"
command = a+c
time = 1

[Command]
name = "kk"
command = b+c
time = 1

[Command]
name = "a+x"
command = a+x
time=1

[Command]
name = "b+y"
command = b+y
time = 1

[Command]
name = "c+z"
command = c+z
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "back_x"
command = /$B,x
time = 1

[Command]
name = "back_y"
command = /$B,y
time = 1

[Command]
name = "back_z"
command = /$B,z
time = 1

[Command]
name = "down_x"
command = /$D,x
time = 1

[Command]
name = "down_y"
command = /$D,y
time = 1

[Command]
name = "down_z"
command = /$D,z
time = 1

[Command]
name = "fwd_x"
command = /$F,x
time = 1

[Command]
name = "fwd_y"
command = /$F,y
time = 1

[Command]
name = "fwd_z"
command = /$F,z
time = 1

[Command]
name = "up_x"
command = /$U,x
time = 1

[Command]
name = "up_y"
command = /$U,y
time = 1

[Command]
name = "up_z"
command = /$U,z
time = 1

[Command]
name = "back_a"
command = /$B,a
time = 1

[Command]
name = "back_b"
command = /$B,b
time = 1

[Command]
name = "back_c"
command = /$B,c
time = 1

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "down_c"
command = /$D,c
time = 1

[Command]
name = "fwd_a"
command = /$F,a
time = 1

[Command]
name = "fwd_b"
command = /$F,b
time = 1

[Command]
name = "fwd_c"
command = /$F,c
time = 1

[Command]
name = "up_a"
command = /$U,a
time = 1

[Command]
name = "up_b"
command = /$U,b
time = 1

[Command]
name = "up_c"
command = /$U,c
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "s"
command = s
time = 1

;-| Single Dir |------------------------------------------------------------
[Command]
name = "fwd" ;Required (do not remove)
command = $F
time = 1

[Command]
name = "downfwd"
command = $DF
time = 1

[Command]
name = "down" ;Required (do not remove)
command = $D
time = 1

[Command]
name = "downback"
command = $DB
time = 1

[Command]
name = "back" ;Required (do not remove)
command = $B
time = 1

[Command]
name = "upback"
command = $UB
time = 1

[Command]
name = "up" ;Required (do not remove)
command = $U
time = 1

[Command]
name = "upfwd"
command = $UF
time = 1

;-| Hold Button |--------------------------------------------------------------
[Command]
name = "hold_x"
command = /x
time = 1

[Command]
name = "hold_y"
command = /y
time = 1

[Command]
name = "hold_z"
command = /z
time = 1

[Command]
name = "hold_a"
command = /a
time = 1

[Command]
name = "hold_b"
command = /b
time = 1

[Command]
name = "hold_c"
command = /c
time = 1

[Command]
name = "hold_s"
command = /s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Command]
name = "holdfwd" ;Required (do not remove)
command = /$F
time = 1

[Command]
name = "holddownfwd"
command = /$DF
time = 1

[Command]
name = "holddown" ;Required (do not remove)
command = /$D
time = 1

[Command]
name = "holddownback"
command = /$DB
time = 1

[Command]
name = "holdback" ;Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdupback"
command = /$UB
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holdupfwd"
command = /$UF
time = 1

;---------------------------------------------------------------------------
;Release Direction
[Command]
name = "rlsfwd"
command = ~$F
time = 1

[Command]
name = "rlsback"
command = ~$B
time = 1

[Command]
name = "rlsup"
command = ~$U
time = 1

[Command]
name = "rlsdown"
command = ~$D
time = 1

;--------------------------------------------------------------------------
;Release Button
[Command]
name = "rlsx"
command = ~x
time = 1

[Command]
name = "rlsy"
command = ~y
time = 1

[Command]
name = "rlsz"
command = ~z
time = 1

[Command]
name = "rlsa"
command = ~a
time = 1

[Command]
name = "rlsb"
command = ~b
time = 1

[Command]
name = "rlsc"
command = ~c
time = 1

;---------------------------------------------------------------------------
[Statedef -1]

[State -1, Tick Fix]
type = CtrlSet
triggerall = !ctrl
trigger1 = (StateNo = 52 || StateNo = 101 || StateNo = 5120) && !AnimTime
trigger2 = (StateNo = [200,499]) && !AnimTime
trigger3 = (StateNo = [760,762]) && !AnimTime
trigger4 = StateNo = 810 && !AnimTime
trigger5 = (StateNo = 5001 || StateNo = 5011 || StateNo = 151 || StateNo = 153) && HitOver
trigger6 = (StateNo = [700,715]) && !AnimTime
value = 1

[State -1, CtrlSet For Helpers];special thanks to 20S
type = CtrlSet
trigger1 = IsHelper
value = 0

[State -1, Hit Count For Helpers];special thanks to 20S
type = ParentVarAdd
trigger1 = IsHelper
trigger1 = MoveHit = 1
trigger1 = !HitPauseTime 
trigger1 = !(HitDefAttr = SCA, AT)
var(13) = 1

[State -1, Juggle Count For Helpers];special thanks to 20S
type = ParentVarAdd
trigger1 = IsHelper
trigger1 = MoveHit = 1
trigger1 = !HitPauseTime 
trigger1 = !(HitDefAttr = SCA, AT)
var(15) = 1

[State -1, Ultimate Armor]
type = ChangeState
value = 3100
triggerall = command = "Nova Strike"
triggerall = RoundState = 2 && StateType != A
triggerall = ifelse(var(20) <= 0, power >= 2000, power >= 1000)
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(6)

[State -1, Air Ultimate Armor]
type = ChangeState
value = 3101
triggerall = command = "Nova Strike"
triggerall = RoundState = 2 && StateType != S
triggerall = ifelse(var(20) <= 0, power >= 2000, power >= 1000)
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(6)

[State -1, Mega Beam]
type = ChangeState
value = 3010
triggerall = command = "Hyper X Blaster"
triggerall = RoundState = 2 && StateType != A
triggerall = ifelse(var(20) <= 0, power >= 1000, power >= 0)
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(6)

[State -1, Hadouken]
type = ChangeState
value = 3000
triggerall = command = "Hadouken"
triggerall = RoundState = 2 && StateType != A
triggerall = ifelse(var(20) <= 0, power >= 1000, power >= 0)
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(6)

[State -1, Arrow Ray]
type = ChangeState
value = 3190
triggerall = command = "Arrow Ray"
triggerall = RoundState = 2 && StateType != A
triggerall = ifelse(var(20) <= 0, power >= 750, power >= 0)
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(6)

[State -1, Frost Tower]
type = ChangeState
value = 2030
triggerall = command = "Frost Tower"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Shoryuken]
type = ChangeState
value = 2020
triggerall = command = "Shoryuken"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Shoryuken]
type = ChangeState
value = 2103
triggerall = command = "Shoryuken"
triggerall = RoundState = 2 && StateType != S
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Ray Splasher]
type = ChangeState
value = 2000
triggerall = command = "Ray Splasher"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Ray Splasher]
type = ChangeState
value = 2001
triggerall = command = "Ray Splasher"
triggerall = RoundState = 2 && StateType != S
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Sonic Slicer]
type = ChangeState
value = 1050
triggerall = command = "Sonic Slicer"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Sonic Slicer]
type = ChangeState
value = 1055
triggerall = command = "Sonic Slicer"
triggerall = RoundState = 2 && StateType != S
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Storm Tornado]
type = ChangeState
value = 1030
triggerall = command = "Storm Tornado"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Storm Tornado]
type = ChangeState
value = 2600
triggerall = command = "Storm Tornado"
triggerall = RoundState = 2 && StateType != S
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Fire Wave]
type = ChangeState
value = 1035
triggerall = command = "Fire Wave"
triggerall = RoundState = 2 && StateType != S
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Fire Wave]
type = ChangeState
value = 1000
triggerall = command = "Fire Wave"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Spin Wheel]
type = ChangeState
value = 810
triggerall = command = "Spin Wheel"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Shadow Runner]
type = ChangeState
value = 820
triggerall = command = "Shadow Runner"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Melt Creeper]
type = ChangeState
value = 840
triggerall = command = "Melt Creeper"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Jump Backward 3]
type = ChangeState
value = 635
triggerall = command = "Jump Backward 3"
triggerall = RoundState = 2 && StateType = A
triggerall = ctrl && pos y <= -30 || var(5)
trigger1 = NumHelper(1010) <= 0
trigger2 = NumHelper(1010) <= 1
trigger2 = Helper(1010),StateNo = [1012,1016]

[State -1, Jump Backward 2]
type = ChangeState
value = 611
triggerall = command = "Jump Backward 2"
triggerall = RoundState = 2 && StateType = A
triggerall = ctrl && pos y <= -30 || var(5)
trigger1 = NumHelper(1010) <= 0
trigger2 = NumHelper(1010) <= 1
trigger2 = Helper(1010),StateNo = [1012,1016]

[State -1, Jump Backward 1]
type = ChangeState
value = 601
triggerall = command = "Jump Backward 1"
triggerall = RoundState = 2 && StateType = A
triggerall = ctrl && pos y <= -30 || var(5)
trigger1 = NumHelper(1010) <= 0
trigger2 = NumHelper(1010) <= 1
trigger2 = Helper(1010),StateNo = [1012,1016]

[State -1, Jump Forward 3]
type = ChangeState
value = 622
triggerall = command = "Jump Forward 3"
triggerall = RoundState = 2 && StateType = A
triggerall = ctrl && pos y <= -30 || var(5)
trigger1 = NumHelper(1010) <= 0
trigger2 = NumHelper(1010) <= 1
trigger2 = Helper(1010),StateNo = [1012,1016]

[State -1, Jump Forward 2]
type = ChangeState
value = 612
triggerall = command = "Jump Forward 2"
triggerall = RoundState = 2 && StateType = A
triggerall = ctrl && pos y <= -30 || var(5)
trigger1 = NumHelper(1010) <= 0
trigger2 = NumHelper(1010) <= 1
trigger2 = Helper(1010),StateNo = [1012,1016]

[State -1, Jump Forward 1]
type = ChangeState
value = 602
triggerall = command = "Jump Forward 1"
triggerall = RoundState = 2 && StateType = A
triggerall = ctrl && pos y <= -30 || var(5)
trigger1 = NumHelper(1010) <= 0
trigger2 = NumHelper(1010) <= 1
trigger2 = Helper(1010),StateNo = [1012,1016]

[State -1, Stand Backward 3]
type = ChangeState
value = 222
triggerall = command = "Stand Backward 3"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Stand Backward 2]
type = ChangeState
value = 212
triggerall = command = "Stand Backward 2"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Stand Backward 1]
type = ChangeState
value = 202
triggerall = command = "Stand Backward 1"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Stand Forward 2]
type = ChangeState
value = 211
triggerall = command = "Stand Forward 2"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Stand Forward 1]
type = ChangeState
value = 201
triggerall = command = "Stand Forward 1"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

[State -1, Stand Forward 3]
type = ChangeState
value = 1060
triggerall = command = "Stand Forward 3"
triggerall = RoundState = 2 && StateType != A
trigger1 = ctrl || StateNo = 40 || StateNo = 52 || (StateNo = [100,101])
trigger2 = var(5)

;-----------------------------------------------------------------------------------

[State -1, Run Forward]
type = ChangeState
value = 100
trigger1 = command = "FF"||command = "holdfwd" && command = "c"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Run Backward]
type = ChangeState
value = 105
trigger1 = command = "BB"||command = "holdback" && command = "c"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Air Dash]
type = ChangeState
value = 103
triggerall = command = "FF"||command = "holdfwd" && command = "c"
triggerall =!var(14)
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Back Air Dash]
type = ChangeState
value = 113
triggerall = command = "BB"||command = "holdback" && command = "c"
triggerall =!var(14)
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Shadow dash]
type = ChangeState
value = 102
trigger1 = command = "FF"||command = "c"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, Wall Jump Forward]
type = ChangeState
value = 60
triggerall = StateNo != 60 && PrevStateNo != 60
trigger1 = command = "holdup" && command = "holdfwd"
trigger1 = RoundState = 2 && StateType = A
trigger1 = ctrl && pos y <= -30 && BackEdgeBodyDist <= 0

[State -1, Wall Jump Backwards]
type = ChangeState
value = 61
triggerall = StateNo != 61 && PrevStateNo != 61
trigger1 = command = "holdup" && command = "holdback"
trigger1 = RoundState = 2 && StateType = A
trigger1 = ctrl && pos y <= -30 && FrontEdgeBodyDist <= 0

;--------------------------------------------------------------------------
[State -1, Stand Slash A]
type = ChangeState
value = 200
triggerall = command = "z"
triggerall = command != "holddown"
trigger1 = statetype != A
trigger1= ctrl || (stateno=[100,101])

[State -1, Stand Slash B]
type = ChangeState
value = 210 
triggerall = command = "x"
triggerall = command != "holddown"  
triggerall = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 200 && movecontact

[State -1, Stand Slash C]
type = ChangeState
value = 220 
triggerall = command = "y"
triggerall = command != "holddown" 
triggerall = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 200 && movecontact

[State -1, Stand Slash C]
type = ChangeState
value = 220 
triggerall = command = "y"
triggerall = command != "holddown" 
triggerall = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 210 && movecontact

[State -1, Stand Slash C]
type = ChangeState
value = 220 
triggerall = command = "y"
triggerall = command != "holddown" 
triggerall = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 400 && movecontact

[State -1, Stand Slash C]
type = ChangeState
value = 220 
triggerall = command = "y"
triggerall = command != "holddown" 
triggerall = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 410 && movecontact

[State -1, Reality Stone]
type = ChangeState
value = 800 
triggerall = command = "b"
triggerall = command != "holddown" 
triggerall = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 800 && movecontact

[State -1, X Buster Lv.1]
type = ChangeState
value = 230
triggerall = numproj < 4
triggerall = command = "a"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, X Buster Lv.2]
type = ChangeState
value = 1200
triggerall = command != "hold_a"
triggerall = var(1) >= 25
triggerall = var(1) < 90
triggerall = statetype = S
trigger1 = ctrl

[State -1, X Buster Lv.3]
type = ChangeState
value = 1250
triggerall = command != "hold_a"
triggerall = var(1) >= 90
triggerall = var(1) < 200
triggerall = statetype = S
trigger1 = ctrl

[State -1, X Buster Lv.4]
type = ChangeState
value = 1255
triggerall = command != "hold_a"
triggerall = var(1) > 200
triggerall = statetype = S
trigger1 = ctrl

[State -1, Crouch Slash A]
type = ChangeState
value = 400
triggerAll = command = "holddown" && command = "z"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 200 && movecontact

[State -1, Crouch Slash A]
type = ChangeState
value = 400
triggerAll = command = "holddown" && command = "z"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 210 && movecontact

[State -1, Crouch Slash A]
type = ChangeState
value = 400
triggerAll = command = "holddown" && command = "z"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 220 && movecontact

[State -1, Crouch Slash B]
type = ChangeState
value = 410
triggerAll = command = "holddown" && command = "x"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 200 && movecontact

[State -1, Crouch Slash B]
type = ChangeState
value = 410
triggerAll = command = "holddown" && command = "x"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 210 && movecontact

[State -1, Crouch Slash B]
type = ChangeState
value = 410
triggerAll = command = "holddown" && command = "x"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 220 && movecontact

[State -1, Crouch Slash B]
type = ChangeState
value = 410
triggerAll = command = "holddown" && command = "x"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 400 && movecontact

[State -1, Crouch Slash C]
type = ChangeState
value = 420
triggerAll = command = "holddown" && command = "y"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 200 && movecontact

[State -1, Crouch Slash C]
type = ChangeState
value = 420
triggerAll = command = "holddown" && command = "y"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 210 && movecontact

[State -1, Crouch Slash C]
type = ChangeState
value = 420
triggerAll = command = "holddown" && command = "y"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 220 && movecontact

[State -1, Crouch Slash C]
type = ChangeState
value = 420
triggerAll = command = "holddown" && command = "y"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 400 && movecontact

[State -1, Crouch Slash C]
type = ChangeState
value = 420
triggerAll = command = "holddown" && command = "y"
triggerAll = StateType != A
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = stateno = 410 && movecontact

[State -1, X Buster Lv.1]
type = ChangeState
value = 430
triggerall = numproj < 4
triggerall = command = "a"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl

[State -1, X Buster Lv.2]
type = ChangeState
value = 1400
triggerall = command != "hold_a"
triggerall = var(1) >= 25
triggerall = var(1) < 90
triggerall = statetype = C
trigger1 = ctrl

[State -1, X Buster Lv.3]
type = ChangeState
value = 1450
triggerall = command != "hold_a"
triggerall = var(1) >= 90
triggerall = var(1) < 200
triggerall = statetype = C
trigger1 = ctrl

[State -1, X Buster Lv.4]
type = ChangeState
value = 1455
triggerall = command != "hold_a"
triggerall = var(1) > 200
triggerall = statetype = C
trigger1 = ctrl

[State -1, Jump Slash A]
type = ChangeState
value = 600
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 610 && movecontact

[State -1, Jump Slash A]
type = ChangeState
value = 600
triggerall = command = "z"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 620 && movecontact

[State -1, Jump Slash B]
type = ChangeState
value = 610
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, Jump Slash C]
type = ChangeState
value = 620
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 610 && movecontact

[State -1, Jump Slash C]
type = ChangeState
value = 830
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 830 && movecontact

[State -1, X Buster Lv.1]
type = ChangeState
value = 630
triggerall = numproj < 4
triggerall = command = "a"
trigger1 = statetype = A
trigger1 = ctrl

[State -1, X Buster Lv.2]
type = ChangeState
value = 1600
triggerall = command != "hold_a"
triggerall = var(1) >= 25
triggerall = var(1) < 90
triggerall = statetype = A
trigger1 = ctrl

[State -1, X Buster Lv.3]
type = ChangeState
value = 1650
triggerall = command != "hold_a"
triggerall = var(1) >= 90
triggerall = var(1) < 200
triggerall = statetype = A
trigger1 = ctrl

[State -1, X Buster Lv.4]
type = ChangeState
value = 1655
triggerall = command != "hold_a"
triggerall = var(1) > 200
triggerall = statetype = A
trigger1 = ctrl

[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "s"
triggerall = StateType != A
triggerall = StateNo != [200,699]
trigger1 = ctrl || (StateNo = [100,101])
trigger2 = var(5)

[state -1, AI]
type = varset
triggerall = var(59) != 1
triggerall = RoundState = [1,2]
triggerall = enemynear,life > 0
trigger1 = (Command = "AI0")||(Command = "AI1")||(Command = "AI2")||(Command = "AI3")||(Command = "AI4")
trigger2 = (Command = "AI5")||(Command = "AI6")||(Command = "AI7")||(Command = "AI8")||(Command = "AI9")
trigger3 = (Command = "AI10")||(Command = "AI11")||(Command = "AI12")||(Command = "AI13")||(Command = "AI14")
trigger4 = (Command = "AI15")||(Command = "AI16")||(Command = "AI17")||(Command = "AI18")||(Command = "AI19")
trigger5 = (Command = "AI20")
trigger6 = NumHelper(30000) != 0
trigger6 = helper(30000),var(59) = 1
ignorehitpause = 1
var(59)=1
[State -3]
type = VarSet
triggerall = var(59)    = 1
trigger1 = roundstate = [0,1]
trigger2   = roundstate  = 4
trigger3   = win
trigger4   = lose
trigger5  = drawgame
trigger6   = !alive
ignorehitpause = 1
var(59) = -1
[State -1]
type = VarSet
trigger1 = var(59)    = -1
trigger1 = roundstate = 2 && enemynear,life > 0
trigger1 = ctrl
ignorehitpause = 1
var(59) = 1
[state -1]
Type = Helper
Trigger1 = NumHelper(30000) = 0 && !var(59)
Trigger1 = RoundState = 2 && alive && StateNo = 0
Trigger1 = PrevStateNo = 5900 || PrevStateNo = [190,199]
StateNo = 30000
PosType = P1
Pos = 0, 0
KeyCtrl = 1
Ownpal = 1
ID = 30000
IgnoreHitPause = 1
SuperMoveTime = 9999
PauseMoveTime = 9999
[state -1]
type=changestate
trigger1= ishelper(30000)
trigger1= stateno!=30000
value=30000
[State -1, VarSet]
Type = VarSet
Trigger1 = NumEnemy = 1
Trigger2 = NumEnemy = 2
Trigger2 = Enemynear,Life > 0
var(58) = 0
IgnoreHitPause = 1
[State -1, VarSet]
Type = VarSet
Trigger1 = NumEnemy > 1
Trigger1 = Enemynear,Life = 0
var(58) = 1
IgnoreHitPause = 1

[State -1, dash]
type=changestate
value=100
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2 && ctrl
triggerall= (p2bodydist x=[0,80]) && backedgebodydist>80 && (stateno!=[100,105])
trigger1= enemynear,movetype=A && random<50
trigger2= enemynear,stateno=5120 && enemynear,animtime=-3 && random<500

[State -1, dash]
type=changestate
value=105
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2 && ctrl
triggerall= (p2bodydist x=[0,80]) && backedgebodydist>80 && (stateno!=[100,105])
trigger1= enemynear,movetype=A && random<50
trigger2= enemynear,stateno=5120 && enemynear,animtime=-3 && random<500

[State -1, Air dash]
type=changestate
value=103
triggerall= var(59)>=1 && numenemy
triggerall= statetype=A && roundstate=2 && ctrl
triggerall= (p2bodydist x=[0,80]) && backedgebodydist>80 && (stateno!=[100,105])
trigger1= enemynear,movetype=A && random<50
trigger2= enemynear,stateno=5120 && enemynear,animtime=-3 && random<500

[State -1, Air dash]
type=changestate
value=113
triggerall= var(59)>=1 && numenemy
triggerall= statetype=A && roundstate=2 && ctrl
triggerall= (p2bodydist x=[0,80]) && backedgebodydist>80 && (stateno!=[100,105])
trigger1= enemynear,movetype=A && random<50
trigger2= enemynear,stateno=5120 && enemynear,animtime=-3 && random<500

[State -1, Shadow dash]
type=changestate
value=102
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2 && ctrl
triggerall= (p2bodydist x=[0,80]) && backedgebodydist>80 && (stateno!=[100,105])
trigger1= enemynear,movetype=A && random<50
trigger2= enemynear,stateno=5120 && enemynear,animtime=-3 && random<500

[State -1, Jump]
type=changestate
value=40
trigger1= var(59)>=1 && numenemy
trigger1= roundstate=2 && statetype!=A && ctrl
trigger1= enemynear,movetype=A && p2bodydist x<160 && enemynear,hitdefattr=SC,AT

[State -1, Guard]
type=changestate
value=120
triggerall = alive
triggerall = var(59)      = 1
triggerall = random <= 750*var(59)
trigger1   = ctrl || stateno = 21
trigger1   = p2movetype    = A
trigger1   = enemynear,hitdefattr = SCA, AA, AP
trigger1   = p2bodydist x >= 0
trigger1   = inguarddist
trigger2   = ctrl || stateno = 21
trigger2   = enemynear,movetype = A
trigger2   = enemy,numhelper > 0 || enemy,numproj > 0
trigger2   = inguarddist
trigger3   = ctrl || stateno = 21
trigger3   = enemynear,movetype = A
trigger3   = enemynear,hitdefattr = SCA, AA, AP
trigger3   = p2bodydist x  < 0
trigger4   = stateno       = 101
trigger4   = p2movetype    = A
trigger4   = enemynear,hitdefattr = SCA, AA, AP
trigger4   = inguarddist
trigger5   = stateno       = 101
trigger5   = enemynear,movetype = A
trigger5   = enemy,numhelper > 0 || enemy,numproj > 0
trigger5   = inguarddist

[State -1, Guard]
type=changestate
value=121
trigger1= var(59)>=1 && numenemy
trigger1= roundstate=2 && inguarddist
trigger1= ctrl && (stateno!=[120,155]) && !var(20)
trigger1= ifelse(statetype=A, (var(9)!=2 || stateno=5210), 1)
trigger1= !(enemynear,hitdefattr=SCA,AT) && (enemynear,time<120)
trigger1= statetype!=A || p2statetype=A
trigger1= random<ifelse((p2stateno=[200,699]), 100, ifelse((p2stateno=[1000,2999]), 333, 1000))

[State -1, Guard]
type=changestate
value=122
trigger1= var(59)>=1 && numenemy
trigger1= roundstate=2 && inguarddist
trigger1= ctrl && (stateno!=[120,155]) && !var(20)
trigger1= ifelse(statetype=A, (var(9)!=2 || stateno=5210), 1)
trigger1= !(enemynear,hitdefattr=SCA,AT) && (enemynear,time<120)
trigger1= statetype!=A || p2statetype=A
trigger1= random<ifelse((p2stateno=[200,699]), 100, ifelse((p2stateno=[1000,2999]), 333, 1000))

[State -1, SLP]
type=changestate
value=200
triggerall = var(59) = 1
TriggerAll = RoundState = 2 && Alive
triggerall = P2bodydist X <= 10
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A  && enemynear(var(58)),statetype != L
triggerall = enemynear,movetype != A
triggerall = random <= var(59)*500
trigger1 = ctrl|| stateno = [120,149]

[State -1, SLP]
type=changestate
value=201
triggerall = var(59)
triggerall = var(1) = 30
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = stateno = 210&& time > 1

[State -1, SLP]
type=changestate
value=202
triggerall = var(59)
triggerall = var(1) = 30
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
triggerall = random <= var(59)*500
trigger1 = stateno = 201 && time > 2
trigger2 = stateno = 201
trigger2 = movecontact

[State -1, SLP]
type=changestate
value=210
triggerall = var(59)
triggerall = var(1) = 30
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = stateno = 202&& time > 1

[State -1, SLP]
type=changestate
value=211
triggerall = var(59) = 1
TriggerAll = RoundState = 2 && Alive
triggerall = P2bodydist X <= 10
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A  && enemynear(var(58)),statetype != L
triggerall = enemynear,movetype != A
triggerall = random <= var(59)*500
trigger1 = ctrl|| stateno = [120,149]

[State -1, SLP]
type=changestate
value=212
triggerall = var(59) = 1
TriggerAll = RoundState = 2 && Alive
triggerall = P2bodydist X <= 10
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A  && enemynear(var(58)),statetype != L
triggerall = enemynear,movetype != A
triggerall = random <= var(59)*500
trigger1 = ctrl|| stateno = [120,149]

[State -1, SLP]
type=changestate
value=220
triggerall = var(59) = 1
TriggerAll = RoundState = 2 && Alive
triggerall = P2bodydist X <= 10
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A  && enemynear(var(58)),statetype != L
triggerall = enemynear,movetype != A
triggerall = random <= var(59)*500
trigger1 = ctrl|| stateno = [120,149]

[state -1, Green Spiner]
type = changeState
value = 222
triggerall = var(59)
triggerall = NumHelper(7012) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[state -1 X-buster Lv 1]
type = changeState
value = 230
triggerall = var(59)
triggerall = NumHelper(1404) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 2]
type = ChangeState
value = 1200
trigger1 = var(1) >= 25
trigger1 = var(1) < 90
triggerall = var(59)
triggerall = NumHelper(1405) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 3]
type = ChangeState
value = 1250
trigger1 = var(1) >= 90
trigger1 = var(1) < 200
triggerall = var(59)
triggerall = NumHelper(1406) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 4]
type = ChangeState
value = 1255
trigger1 = var(1) >= 200
triggerall = var(59)
triggerall = NumHelper(1014) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[state -1 X-buster Lv 1]
type = changeState
value = 430
triggerall = var(59)
triggerall = NumHelper(1404) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 2]
type = ChangeState
value = 1400
trigger1 = var(1) >= 25
trigger1 = var(1) < 90
triggerall = var(59)
triggerall = NumHelper(1405) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 3]
type = ChangeState
value = 1450
trigger1 = var(1) >= 90
trigger1 = var(1) < 200
triggerall = var(59)
triggerall = NumHelper(1406) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 4]
type = ChangeState
value = 1455
trigger1 = var(1) >= 200
triggerall = var(59)
triggerall = NumHelper(1014) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[state -1 X-buster Lv 1]
type = changeState
value = 630
triggerall = var(59)
triggerall = NumHelper(1404) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 2]
type = ChangeState
value = 1600
trigger1 = var(1) >= 25
trigger1 = var(1) < 90
triggerall = var(59)
triggerall = NumHelper(1405) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 3]
type = ChangeState
value = 1650
trigger1 = var(1) >= 90
trigger1 = var(1) < 200
triggerall = var(59)
triggerall = NumHelper(1406) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl
[State -1, X-buster Lv 4]
type = ChangeState
value = 1655
trigger1 = var(1) >= 200
triggerall = var(59)
triggerall = NumHelper(1014) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[state -1, Succle Blaze]
type = changeState
value = 400
triggerall = var(59)
triggerall = NumHelper(7011) < 3
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[State -1, SLP]
type=changestate
value=410
triggerall = var(59) = 1
TriggerAll = RoundState = 2 && Alive
triggerall = P2bodydist X <= 10
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A  && enemynear(var(58)),statetype != L
triggerall = enemynear,movetype != A
triggerall = random <= var(59)*500
trigger1 = ctrl|| stateno = [120,149]

[State -1, SLP]
type=changestate
value=420
triggerall = var(59) = 1
TriggerAll = RoundState = 2 && Alive
triggerall = P2bodydist X <= 10
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A  && enemynear(var(58)),statetype != L
triggerall = enemynear,movetype != A
triggerall = random <= var(59)*500
trigger1 = ctrl|| stateno = [120,149]

[State -1, SLP]
type=changestate
value=800
triggerall = var(59)
triggerall = var(1) = 30
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
triggerall = random <= var(59)*500
trigger1 = stateno = 201 && time > 2
trigger2 = stateno = 201
trigger2 = movecontact

[State -1, SLP]
type=changestate
value=830
triggerall=var(59)>=1&&roundstate=2&&statetype!=A
triggerall=(p2stateno!=[120,155])&&(p2statetype!=L)
triggerall=(p2bodydist x=[0,90])&&(enemynear,vel y>-1)&&(enemynear,vel x>-2)
trigger1=ctrl&&random<150
trigger2=(stateno=[200,250])&&movehit&&random<200
trigger3=ctrl&&var(1)!=1&&prevstateno=220&&random<150

[State -1, Fire Wave]
type = ChangeState
value = 1000
triggerall = var(59)
triggerall = var(1) = 3
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
triggerall = random <= var(59)*500
trigger1 = stateno = 1060 && time > 2
trigger2 = stateno = 1060
trigger2 = movecontact

[State -1, Storm Tornado]
type = ChangeState
value = 1030
triggerall = NumHelper(2012) < 1
triggerall = var(59)
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[State -1, Sonic Slicer]
type = ChangeState
value = 1050
triggerall = NumHelper(2014) < 1
triggerall = var(59)
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[State -1, Ray Splasher]
type = ChangeState
value = 2000
triggerall = var(59)
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[State -1, Rising Fire]
type=changestate
value=2020
triggerall = var(59) = 1
TriggerAll = RoundState = 2 && Alive
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
triggerall = enemynear(var(58)),movetype = A && enemynear(var(58)),movetype != H
triggerall = ctrl||stateno = [120,149]
triggerall = random <= var(59)*500
trigger1 = p2bodydist X <= 50 && p2bodydist X >= -10

[State -1, Frost Tower]
type=changestate
value=2030
triggerall = var(59) = 1
TriggerAll = RoundState = 2 && Alive
triggerall = P2bodydist X <= 10
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A  && enemynear(var(58)),statetype != L
triggerall = enemynear,movetype != A
triggerall = random <= var(59)*500
trigger1 = ctrl|| stateno = [120,149]

[State -1, Splash Rayser]
type=changestate
value=1060
triggerall = var(59)
triggerall = var(1) = 3
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
triggerall = random <= var(59)*500
trigger1 = stateno = 1000 && time > 2
trigger2 = stateno = 1000
trigger2 = movecontact

[state -1, Spin Wheel]
type = changeState
value = 810
triggerall = var(59)
triggerall = NumHelper(7050) < 2
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[state -1, Shadow Runner]
type = changeState
value = 820
triggerall = var(59)
triggerall = NumHelper(7055) < 1
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[State -1, Melt Creeper]
type=changestate
value=840
triggerall = var(59)
triggerall = NumHelper(7081) < 3
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[State -1, SLP]
type=changestate
value=600
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1= ctrl && random<100

[State -1, SLP]
type=changestate
value=601
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1= ctrl && random<100

[State -1, SLP]
type=changestate
value=611
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1= ctrl && random<100

[State -1, SLP]
type=changestate
value=602
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1= ctrl && random<100

[State -1, SLP]
type=changestate
value=610
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1= ctrl && random<100

[State -1, SLP]
type=changestate
value=612
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1= ctrl && random<100

[State -1, SLP]
type=changestate
value=620
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1= ctrl && random<100

[State -1, Drift Diamond]
type = ChangeState
triggerall = var(59)
triggerall = !Win
trigger1 = Ctrl
trigger1 = RoundState = 2
trigger1 = Random <= 50
trigger1 = numhelper(7027) = 2
trigger1 = P2BodyDist X >= 150
trigger1 = P2BodyDist Y >= -5 && P2BodyDist Y <= 0
trigger1 = StateType != A
value = 622
ignorehitpause = 1

[State -1, Wing spiral]
type=changestate
value=1035
triggerall = var(59)
triggerall = NumHelper(2022) < 3
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[State -1, Sonic Slicer(Air)]
type=changestate
value=1055
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1= ctrl && random<100

[State -1, Shotgun Ice]
type = ChangeState
triggerall = var(59)
triggerall = !Win
trigger1 = Ctrl
trigger1 = RoundState = 2
trigger1 = Random <= 50
trigger1 = numhelper(470) = 0
trigger1 = P2BodyDist X >= 150
trigger1 = P2BodyDist Y >= -5 && P2BodyDist Y <= 0
trigger1 = StateType != A
value = 635
ignorehitpause = 1

[State -1, Ray Splasher(Air)]
type=changestate
value=2001
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2
triggerall= (p2bodydist x=[0,46]) && (p2bodydist y=[-50,50]) && p2statetype!=L && !(enemynear,hitfall)
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger1 = random <= var(59)*500
trigger1= ctrl

[State -1, Rushing Burner]
type=changestate
value=2103
trigger1= ctrl
triggerall= var(59)>=1 && numenemy
triggerall= statetype!=A && roundstate=2 && ctrl
triggerall= (p2bodydist x=[0,80]) && backedgebodydist>80 && p2statetype!=L && !(enemynear,hitfall)
trigger1= enemynear,movetype=A && random<50
triggerall= (enemynear,const(size.head.pos.y)<=-40) || (enemynear,statetype!=A)
trigger2= enemynear,stateno=5120 && enemynear,animtime=-3 && random<500

[State -1, Snipe Missile]
type=changestate
value=2600
triggerall = var(59)
triggerall = NumHelper(6900) < 3
triggerall = statetype != A
triggerall = enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*500
trigger1 = ctrl

[State -1, Arrow Ray]
type=changestate
value=3190
triggerall = power >= 750
triggerall = var(59)
triggerall=var(59)>=1&&roundstate=2&&statetype!=A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*300
trigger1 = ctrl

[State -1, Hadouken]
type=changestate
value=3000
triggerall = power >= 1000
triggerall = var(59)
triggerall=var(59)>=1&&roundstate=2&&statetype!=A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*300
trigger1 = ctrl

[State -1, Hyper X Blaster]
type=changestate
value=3010
triggerall = power >= 1000
triggerall = var(59)
triggerall=var(59)>=1&&roundstate=2&&statetype!=A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*300
trigger1 = ctrl

[State -1, Nova Strike]
type=changestate
value=3100
triggerall = power >= 2000
triggerall = var(59)
triggerall=var(59)>=1&&roundstate=2&&statetype!=A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*300
trigger1 = ctrl

[State -1, Nova Strike(Air)]
type=changestate
value=3101
triggerall = power >= 1000
triggerall = var(59)
triggerall=var(59)>=1&&roundstate=2&&statetype =A
triggerall = enemynear(var(58)),statetype != A && enemynear(var(58)),statetype != L
trigger1 = random <= var(59)*300
trigger1 = ctrl
